function are_fields = tm_get_aretomo_fields()
%% tm_get_aretomo_fields
% Return the fields for the relion motioncor structs.
%
% WW 05-2022

%% Fields

are_fields = {'process_stack', 'str', '';...        % Stack for processing. Either 'unfiltered' or 'dose-filtered'
              'out_dir','str','';...                % Output directory
              'use_alnfile','boo',false;...
              'InBin','num','1';...                 % TOMOMAN parameter for binning of input stack
              'aretomo_list','str','';...
              'ovZ', 'num','';...
              'RefineTAA','boo','0';...              
              'InMrc', 'str', '';...
              'OutMrc', 'str' '';...
              'AlnFile', 'str' '';...
              'AngFile', 'str' '';...
              'RoiFile', 'str' '';...
              'TmpFile', 'str' '';...
              'LogFile', 'str' '';...
              'AlignZ', 'num' '600';...
              'VolZ', 'num', '1200';...
              'OutBin', 'num', '1';...
              'TiltRange', 'num', '0,0';...
              'Gpu', 'num', '0';...
              'TiltCor', 'num', '0,0';...
              'ReconRange', 'num' '-90,90';...
              'PixSize', 'num' '0';...
              'ImgDose', 'num' '0';...
              'Kv', 'num', '0';...
              'Cs', 'num', '0';...
              'Defoc', 'num', '0';...
              'FlipVol', 'boo', '0';...
              'FlipInt', 'boo', '0';...
              'Sart', 'num ', [20,5];...
              'Wbp', 'boo', '0';...
              'Roi', 'num', '0';...
              'RoiFile', 'str', '';...
              'Patch', 'num', '0,0';...
              'TiltScheme', 'num', '0,0,0';...
              'OutImod', 'boo', '0';...
              'OutXF', 'boo', '0';...
              'Align', 'boo', '0';...
              'CropVol', 'num', '0,0';...
              'DarkTol', 'num', '0.7';...
              'force_align','boo', '0'};
              


        
end
